Page MenuHomePhabricator

🎬 mobile-de-01 | Bring back the old style banner design without sliding content – ⏰ 8.11.
Closed, ResolvedPublic3 Estimate Story Points

Description

Goal: We want to retest the Slider functionality because in HK18 we observed not a difference in the click rate but in the conversion rate of the respective landingpage. Therefore, we have to single out the sliding functionality and retest it.

Acceptance criterias

  • CTRL is based on last years winning banner
  • VAR has a non slider page 1 which is based on the last banner with this design
  • CTRL and VAR has the same "page 2" (the form which collapse once you click on the "page 1" - the initial state of the banner); the one from CTRL
  • Copy pf CTRL
    • Slide 1: Liebe Leserinnen und Leser: [/break] Millionen von Menschen nutzen Wikipedia, aber nur ein Bruchteil spendet. Wenn alle, die das jetzt lesen, einen kleinen Beitrag leisten, wäre unsere Spendenkampagne am heutigen [Tag] vorbei.
    • Slide 2: An diesem [Tag] sind Sie in Deutschland gefragt. Schon der Preis einer Tasse Kaffee würde genügen.
    • Slide 3 stays the same
    • Slide 4 can be deleted
    • Slide 5 stays the same
    • Slide 6 stays the same
  • Copy of VAR
    • "Liebe Leserinnen und Leser: [/break] Millionen von Menschen nutzen Wikipedia, aber nur ein Bruchteil spendet. Wenn alle, die das jetzt lesen, einen kleinen Beitrag leisten, wäre unsere Spendenkampagne am heutigen [Tag] vorbei."
  • both banners show the current average donation amout as "Wikipedia wird durch Spenden von durchschnittlich 23,83 € finanziert. "
  • banners have the same height on Page 1
  • the X has the same size and the same click area (touch point for closing the banner, which is bigger than the X-icon itself)
  • the Mittelverwendung page has to be updated before it is enabled (T237231)

Details

Due Date
Nov 10 2019, 11:00 PM

Event Timeline

tmletzko created this task.Oct 17 2019, 6:22 AM
tmletzko updated the task description. (Show Details)Oct 18 2019, 10:18 AM
tmletzko updated the task description. (Show Details)Oct 18 2019, 10:20 AM
tmletzko updated the task description. (Show Details)
tmletzko updated the task description. (Show Details)Oct 18 2019, 10:26 AM
Jan_Dittrich set the point value for this task to 3.Oct 21 2019, 9:44 AM
tmletzko updated the task description. (Show Details)Oct 21 2019, 9:58 AM
tmletzko renamed this task from Bring back the old stlye banner design without sliding content to to Bring back the old stlye banner design without sliding content .Oct 21 2019, 2:14 PM
Tim_WMDE moved this task from Todo to Doing on the WMDE-FUN-Sprint-2019-10-14 board.
Tim_WMDE removed Tim_WMDE as the assignee of this task.Oct 22 2019, 9:25 AM
Tim_WMDE added a subscriber: Tim_WMDE.

Still missing:

  • Copy of VAR should be: "Liebe Leserinnen und Leser: [/break] Millionen von Menschen nutzen Wikipedia, aber nur ein Bruchteil spendet. Wenn alle, die das jetzt lesen, einen kleinen Beitrag leisten, wäre unsere Spendenkampagne am heutigen [Tag] vorbei."
  • CTRL and VAR has the same "page 2" (the form which collapse once you click on the "page 1" - the initial state of the banner); the one from CTRL
  • Slide 3 in CTRL ought to be the progress bar (Slide 3 in the linked slider banner in HK18 is the progress bar and not the "Wenn jeder-Sentencne"

two things:

  • somehow the progress bar got out of style. Check here how it ought to look like. We used to have two states of the progress bar. Maybe this gets into conflict here. Please also check the progress bar on page 2
  • page 2 is still the wrong one. This one is needed for both banners.
gabriel-wmde moved this task from Heap to Doing on the WMDE-FUN-Funban-2019 board.Oct 28 2019, 9:56 AM
chrp set Due Date to Nov 10 2019, 11:00 PM.Oct 28 2019, 11:31 AM
chrp renamed this task from Bring back the old stlye banner design without sliding content to 🎬 mobile-de-01 | Bring back the old style banner design without sliding content (⏰ 10.11.).Nov 4 2019, 12:55 PM

I'm putting this back, because the latest CN banner has not been pushed to github so I cannot make changes.

The banner on Github is fine to use as a basis, it looks like it's missing the text updates from Till's first comment above. I forgot to push my changes to the campaign_info.toml which I discovered the next day so you will have to update that again (the mobile banner data still says test 09 from last year). The mobile banner also does not have the update to the webpack.common.js file yet, so it's probably best to rebase master into that branch. Specifically this file needs to be updated to use _2019 rather than _2018:

webpack.common.js:66:
bannerValues: '{{MediaWiki:WMDE_Fundraising/Campaign_Parameters_2018}}'

@tmletzko Last year's winning banner is 08, and the progress bar you're referring to is from 07. So how come it is out of style?

the progress bar needs a fix and is worked on here T236674

I was refering to the displaying of the numbers here

The banner on GitHub does not have the progress bar, and the one on CN does.
So I will try to add it with the requested changes from Till (having the text in the bar apparently).

@tmletzko @JanJaquemot I've updated the banners on CN. Please have a look.

JanJaquemot removed Tonina_Zhelyazkova_WMDE as the assignee of this task.Nov 6 2019, 11:57 AM

thanks @Tonina_Zhelyazkova_WMDE page 1 is pretty good on both variants.

  • Till does see an issue where you can still see some text of the other slide on some devices:

I couldn't confirm this as I don't see that in any browser, but maybe you know where this is coming from and have a look.

  • Oh, also in this screenshot you can see the X appearing on the left side. This only happens in Chrome previews. It's fine in other browsers and on my phone

On page 2 we are still seeing a few issues:

  • both page 2s should use the same design with the white buttons and the blue submit button

The design with the grey buttons and green submit button can be dropped as it performed significantly worse

  • This page 2 design is currently missing the X (to close)

tmletzko updated the task description. (Show Details)Nov 6 2019, 2:58 PM
chrp added a subscriber: chrp.Nov 7 2019, 11:51 AM

@tmletzko Please add a bit spec relating the progress meter (without the generalized design for now)

chrp renamed this task from 🎬 mobile-de-01 | Bring back the old style banner design without sliding content (⏰ 10.11.) to 🎬 mobile-de-01 | Bring back the old style banner design without sliding content – ⏰ 8.11..Nov 7 2019, 5:31 PM
  • progress bar: "noch n Tage" can be removed and the other metrics included in the bar
  • the campaign sentence on Page 2 is missing for both banners. I added it in the text here:

"Liebe Leserinnen und Leser, bitte verzeihen Sie die Störung. Es ist ein bisschen unangenehm, daher kommen wir gleich zur Sache. An diesem [day] sind Sie in Deutschland gefragt:
{{ campaignDaySentence }} Wikipedia wird durch Spenden von durchschnittlich 23,83 € finanziert, aber 99 % der Leserinnen und Leser spenden nicht. Wenn alle, die das jetzt lesen, einen kleinen Beitrag leisten, wäre unser Spendenziel bereits am heutigen Dienstag erreicht. Schon der Preis einer Tasse Kaffee würde genügen. Über 6 Millionen Mal wird unser Spendenaufruf täglich angezeigt, aber nur 377.589 Menschen haben bisher gespendet. Sicher könnten wir mit Werbung eine Menge Geld verdienen. Aber dann wäre Wikipedia komplett anders. Wir könnten ihr nicht vertrauen. Es ist leicht, diese Nachricht zu ignorieren und die meisten werden das wohl tun. Wenn Sie Wikipedia nützlich finden, nehmen Sie sich an diesem [Tag] bitte eine Minute Zeit und geben Wikipedia mit Ihrer Spende etwas zurück. Vielen Dank!"

chrp removed Tonina_Zhelyazkova_WMDE as the assignee of this task.Nov 8 2019, 7:11 PM
chrp moved this task from Doing to Heap on the WMDE-FUN-Funban-2019 board.

@tmletzko I have updated the banners also with regards to previous comments. One important note though: The progress bar with the text outside is our mobile design and we have created that for technical rather than style reasons last year. I have re-instated the mobile progress bar design for both banners because the desktop design ("text inside the progress bar") is straight up broken on small mobile devices. We have had this conversation last year and I suggest we keep it this way until we have implemented a properly responsive replacement for the progress bar.

Please test both banners but especially the form on the VAR banner as it required significant changes to the JavaScript code to get it to work.

thanks @Tim_WMDE

  • P2 in both banners is now correct - the only thing is see that in VAR the progress bar is animated while in CTRL it is not. We can remove the animation.
  • the dsn parameter is in all urls. I think those can be removed.
  • still missing on P1 of Var: "Wenn alle, die das jetzt lesen, einen kleinen Beitrag leisten, wäre unsere Spendenkampagne am heutigen [Tag] vorbei." instead of "Wenn jeder einen kleinen Beitrag leistet, ist die Spendenkampagne in einer Stunde vorüber."
  • Slide 3 in CTRL there used to be only the progress bar (see here). Now the "Wenn jeder-Sentence" is there aswell (which is redundant to Slide 1). Please remove the "Wenn jeder-Sentence" and add "Unser Spendenziel: 8,7 Millionen Euro"

@Tim_WMDE actually, the campagin sentenceet "Heute beginnt unsere Spendenkampagne, Heute ist der xte Tage..." is missing on P2

tmletzko moved this task from Done to Doing on the WMDE-FUN-Funban-2019 board.Nov 11 2019, 9:48 AM
chrp moved this task from Doing to Heap on the WMDE-FUN-Funban-2019 board.Nov 11 2019, 9:48 AM

in addition: in both banners there is the sentence " "Millionen Menschen nutzen Wikipedia, aber nur ein Bruchteil spendet." This can be replaced with the sentence " Über 7 Millionen Mal wird unser Spendenaufruf täglich angezeigt, aber nur x Menschen haben bisher gespendet."

@Tim_WMDE

chrp closed this task as Resolved.Nov 11 2019, 3:46 PM